// px to rem
@function rem($pixels, $context: $mainFontSize) {
	@if (unitless($pixels)) {
		$pixels: $pixels * 1px;
	}
	@if (unitless($context)) {
		$context: $context * 1px;
	}
	@return $pixels / $context * 1rem;
}

@mixin size($width,$height: $width) {
	width: $width;
	height: $height;
}

@mixin placeholder {
	::-webkit-input-placeholder {@content}
	:-moz-placeholder           {@content}
	::-moz-placeholder          {@content}
	:-ms-input-placeholder      {@content}
}

@mixin setfont($size ,$font, $color ){
	font-size: rem($size);

	@if $font == bold {
		font-family: $font-bold;
	} @else if $font == light {
		font-family: $font-light;
	} @else if $font == black {
		font-family: $font-black;
	} 

	@if $color == primary {
		color: $primary-color;
	} @else if $color == accent {
		color: $accent-color;
	} @else if $color == white {
		color: #fff;
	} @else if $color == default {
		color: #aaa;
	} @else if $color == black {
		color: #303030;
	}

}

@mixin animate($duration,$delay){
		transition-property: all;
		transition-duration: $duration;
		transition-timing-function: ease-in-out;
		transition-delay: $delay;  
}

@mixin posabs(){
	position: absolute;
		left:0;
		right: 0;

		width: 100%;
		height: 100%;  
}


@mixin backpattern(){
	background-image: url('/assets/img/elements/grid-2.png');
	background-size: 68px 79px;
	background-position: center;
	background-repeat: repeat;
	
	&::before{
		content:'';

		position: absolute;
		left:0;
		top:0;

		width: 100%;
		height: 102%;

		background: linear-gradient(rgba(256,256,256,.7), #fff);
		/* background-color: rgba(0, 65, 106, .5); */

	}   
}


@mixin revbackpattern(){
	background-image: url('/assets/img/elements/grid-2.png');
	background-size: 68px 79px;
	background-position: center;
	background-repeat: repeat;
	

	&::before{
		content:'';

		position: absolute;
		left:0;
		top:0;

		width: 100%;
		height: 100%;

		background: linear-gradient(#fff, rgba(256,256,256,.7));
		/* background-color: rgba(0, 65, 106, .5); */

	}   
}